Subject: Re: [bug#59193] [PATCH] gnu: sbcl-njson: Update to 0.2.1.

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 18 Nov 2022 12:47:04 +0000

Artyom Bologov <[email-masked]> skribis:

> Hello Guillaume,
>
>> The sbcl-nactivitypub package fails to build with sbcl-njson 0.2.1.
>> Could you take a look at it?
>
> Yes, see the attached patch updating sbcl-nactivitypub too!
>
> [2. Update cl-nactivitypub. --- text/x-patch; 0001-gnu-Update-cl-nactivitypub-to-0.0.3.patch]...
>
>
> Thanks,

Hi,

The sbcl-nactivitypub-0.0.3 package still fails to build.

The first error I got was: "The name NJSON/ALIASES does not designate
any package." I was able to get a bit further by applying the attached
patch to build the missing njson/aliases subsystem and adding it to
the 'depends-on' field in "nactivitypub.asd".

I then hit another error: "nactivitypub.lisp" is trying to use
a njson/aliases:truep symbol that doesn't exist. I took a look at
exported symbols of njson and njson/aliases, and I think nactivitypub
should use either njson:jtruep or njson/aliases:true.

From 1896223a12fb5713a12b81fb683232ddc8a06b61 Mon Sep 17 00:00:00 2001
From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 18 Nov 2022 13:34:32 +0100
Subject: [PATCH] gnu: cl-njson: Build extra systems.

* gnu/packages/lisp-xyz.scm (sbcl-njson)[arguments]: Add "njson/aliases" and
  "njson/cl-json" to 'asd-systems'.
---
 gnu/packages/lisp-xyz.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/lisp-xyz.scm b/gnu/packages/lisp-xyz.scm
index 1c0100bbe4..b3abe264f0 100644
--- a/gnu/packages/lisp-xyz.scm
+++ b/gnu/packages/lisp-xyz.scm
@@ -22804,6 +22804,8 @@ (define-public sbcl-njson
     (build-system asdf-build-system/sbcl)
     (inputs (list sbcl-cl-json))
     (native-inputs (list sbcl-lisp-unit2))
+    (arguments
+     '(#:asd-systems '("njson" "njson/aliases" "njson/cl-json")))
     (home-page "https://github.com/atlas-engineer/njson")
     (synopsis "JSON handling framework for Common Lisp")
     (description
-- 
2.38.1